<?php
namespace ArchiveSiteMeta;

return [
    'view_manager' => [
        'template_path_stack' => [
            dirname(__DIR__) . '/view',
        ],
        'template_map' => [
           'omeka/index/index' => __DIR__ . '/../../../themes/archive/view/omeka/site/index.phtml',
         ],
    ],
    'view_helpers' => [
        'invokables' => [
            'archiveSiteMeta' => View\Helper\ArchiveSiteMeta::class,
            'siteCollections' => View\Helper\SiteCollections::class,
        ],
    ],
    'block_layouts' => [
        'factories' => [
            'archiveSiteMeta' => Service\BlockLayout\ArchiveSiteMetaFactory::class,
        ],
    ],
    'form_elements' => [
        'invokables' => [
            Form\ArchiveSiteMetaBlockForm::class => Form\ArchiveSiteMetaBlockForm::class,
        ],
        'factories' => [
            Form\ConfigForm::class => Service\Form\ConfigFormFactory::class,
        ],
    ],
    'config' => [
      'SiteMeta' => [
          'sitemeta_collections' => '',
      ],
    ],
    'DefaultSettings' => [
        'ArchiveSiteMetaBlockForm' => [
            'page_type' => 'home',
            'currator' => '',
            'project_date' => '',
            'collection' => '',
            'wrapStyle' => 'overflow-y: hidden;display: flex;flex-direction: column;justify-content: center;',
        ],
    ]
];
